.NET

Reply
Member
Alexey_Terno
Posts: 4
Registered: ‎05-18-2011
Message 1 of 3 (178 Views)
Accepted Solution

Hatch dialog box

178 Views, 2 Replies
10-28-2013 12:57 PM

Is it possible to show hatch dialog box using .NET?

I have found one old issue (link) but it does not work with AutoCAD 2014.

Valued Mentor
Ajilal.Vijayan
Posts: 365
Registered: ‎01-12-2008
Message 2 of 3 (152 Views)

Re: Hatch dialog box

10-28-2013 11:09 PM in reply to: Alexey_Terno

Hi,

 

Please try with this code

There is a commnet from MathewWebber in the same link where you find the code.

 

 

Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.EditorInput
Imports System.Runtime.InteropServices
Imports System

Namespace HatchDialogTest

    Public Class Commands

        Private Declare Auto Function acedHatchPalletteDialog _
        Lib "acad.exe" _
        Alias "?acedHatchPalletteDialog@@YA_NPEB_W_NAEAPEA_W@Z" _
        (ByVal currentPattern As String, _
        ByVal showcustom As Boolean, _
        ByRef newpattern As IntPtr) As Boolean

        <CommandMethod("SHD")> _
        Public Sub ShowHatchDialog()

            Dim sHatchType As String = "ANGLE"
            Dim ptr As IntPtr
            Dim bRet As Boolean = _
              acedHatchPalletteDialog(sHatchType, _
                True, ptr)
            If bRet Then
                Dim sNewHatchType As String = _
                  Marshal.PtrToStringAuto(ptr)
                If sNewHatchType.ToString.Length > 0 Then
                    Dim ed As Editor
                    ed = _
                      Application.DocumentManager.MdiActiveDocument.Editor
                    ed.WriteMessage( _
                      vbLf + "Hatch type selected: " + sNewHatchType)
                End If
            End If

        End Sub

    End Class

End Namespace

 

Member
Alexey_Terno
Posts: 4
Registered: ‎05-18-2011
Message 3 of 3 (114 Views)

Re: Hatch dialog box

10-30-2013 01:50 PM in reply to: Ajilal.Vijayan
Yes - it's works!!!
Thanks a lot!

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Welcome to the new Autodesk Community!
If this is your first visit, click here to get started and make the most of the Community. Let us know what you think of the new experience in the Community Feedback Forum.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community